<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:id="@+id/textMessageLayout"
    android:layout_width="match_parent"
    android:layout_height="56dp"
    android:background="@color/platform_color_F7F7F7"
    android:gravity="center_vertical">

    <FrameLayout
        android:id="@+id/switchLayout"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_centerVertical="true"
        android:layout_marginLeft="12dp"
        android:layout_marginRight="12dp">

        <ImageView
            android:id="@+id/buttonAudioMessage"
            android:layout_width="26dp"
            android:layout_height="26dp"
            android:background="@drawable/im_nim_message_input_voice_normal"
            android:contentDescription="@string/im_empty" />

        <ImageView
            android:id="@+id/buttonTextMessage"
            android:layout_width="26dp"
            android:layout_height="26dp"
            android:layout_gravity="center_vertical"
            android:background="@drawable/im_nim_message_input_keyboard"
            android:contentDescription="@string/im_empty" />

    </FrameLayout>

    <FrameLayout
        android:id="@+id/audioTextSwitchLayout"
        android:layout_width="wrap_content"
        android:layout_height="match_parent"
        android:layout_marginRight="12dp"
        android:layout_toLeftOf="@+id/emoji_button"
        android:layout_toRightOf="@+id/switchLayout">

        <Button
            android:id="@+id/audioRecord"
            style="?android:attr/borderlessButtonStyle"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginTop="10dp"
            android:layout_marginBottom="10dp"
            android:background="@drawable/im_nim_chat_audio_record_button_background"
            android:gravity="center"
            android:text="@string/im_record_audio"
            android:textColor="@color/color_3D3D3D"
            android:textSize="15sp"
            android:textStyle="bold"
            android:visibility="gone" />

    </FrameLayout>

    <LinearLayout
        android:id="@+id/ll_ed"
        android:layout_width="wrap_content"
        android:layout_height="match_parent"
        android:layout_marginTop="10dp"
        android:layout_marginRight="12dp"
        android:layout_marginBottom="10dp"
        android:layout_toLeftOf="@+id/emoji_button"
        android:layout_toRightOf="@+id/switchLayout"
        android:background="@drawable/im_nim_chat_input_edit_background">

        <EditText
            android:id="@+id/editTextMessage"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_gravity="center"
            android:layout_marginLeft="10dp"
            android:layout_marginRight="10dp"
            android:layout_weight="1"
            android:autoLink="all"
            android:background="#ffffff"
            android:hint="隐私保密，安心咨询"
            android:maxHeight="72dp"
            android:maxLines="4"
            android:textColorHint="#CCCCCC"
            android:textSize="17sp" />
    </LinearLayout>

    <ImageView
        android:id="@+id/emoji_button"
        android:layout_width="26dp"
        android:layout_height="26dp"
        android:layout_centerVertical="true"
        android:layout_marginRight="12dp"
        android:layout_toLeftOf="@+id/sendLayout"
        android:background="@drawable/im_nim_message_input_emotion"
        android:contentDescription="@string/im_empty"
        android:scaleType="center" />

    <FrameLayout
        android:id="@+id/sendLayout"
        android:layout_width="wrap_content"
        android:layout_height="match_parent"
        android:layout_alignParentRight="true"
        android:layout_centerVertical="true"
        android:layout_marginRight="@dimen/im_bottom_component_margin_horizontal">

        <ImageView
            android:id="@+id/buttonMoreFuntionInText"
            android:layout_width="26dp"
            android:layout_height="26dp"
            android:layout_gravity="center"
            android:background="@drawable/im_nim_message_input_plus"
            android:contentDescription="@string/im_empty"
            android:scaleType="center" />

        <TextView
            android:id="@+id/buttonSendMessage"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:background="@drawable/platform_bg_radius_5"
            android:contentDescription="@string/im_empty"
            android:gravity="center"
            android:padding="5dp"
            android:text="@string/im_send"
            android:textColor="@color/platform_but_text_color"
            android:textSize="14sp" />
    </FrameLayout>

</RelativeLayout>
